Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.decorators
Class UnmodifiableLongIterator

    java.lang.Object
      org.apache.commons.collections.primitives.decorators.ProxyLongIterator
          org.apache.commons.collections.primitives.decorators.UnmodifiableLongIterator

All Implemented Interfaces:
  LongIterator

public final class UnmodifiableLongIterator
extends org.apache.commons.collections.primitives.decorators.ProxyLongIterator

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.1 $ $Date: 2003/10/27 23:46:10 $
Author:
  Rodney Waldhoff

Method Summary
`protected LongIterator` | `getIterator()`
`boolean` | `hasNext()` Returns `true` iff I have more elements.
`long` | `next()` Returns the next element in me.
`void` | `remove()` Removes from my underlying collection the last element `returned` by me (optional operation).
`static LongIterator` | `wrap(LongIterator iterator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### remove

    public void remove()

  Description copied from interface: `LongIterator`
  Removes from my underlying collection the last element `returned` by me (optional operation).

### getIterator

    protected LongIterator getIterator()

### wrap

    public static final LongIterator wrap(LongIterator iterator)

### hasNext

    public boolean hasNext()

  Description copied from interface: `LongIterator`
  Returns `true` iff I have more elements. (In other words, returns `true` iff a subsequent call to `next` will return an element rather than throwing an exception.)

  Specified by:
    `hasNext` in interface `LongIterator`
  Returns:
    `true` iff I have more elements

### next

    public long next()

  Description copied from interface: `LongIterator`
  Returns the next element in me.

  Specified by:
    `next` in interface `LongIterator`
  Returns:
    the next element in me

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.